//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 27.05.2025.
//

import SwiftUI

public struct ButtonWKWEB: View {
    let title: String
    let vk: Bool
    
    public init(title: String, vk: Bool) {
        self.title = title
        self.vk = vk
    }
    
    public var body: some View {
        Button {
            //
        } label: {
            HStack(spacing: 0){
                Image(vk ? "VK" : "Yandex", bundle: .module)
                    .padding(.trailing, 16)
                Text(title)
                    .tracking(0)
                    .lineSpacing(24)
                    .foregroundStyle(Color.black)
                    .robotoFlex(size: 17, font: .medium)
            }.frame(maxWidth: .infinity)
                .frame(height: 60)
                .overlay {
                    RoundedRectangle(cornerRadius: 12)
                        .stroke(lineWidth: 1)
                        .foregroundStyle(Color("hex#EBEBEB", bundle: .module))
                }
        }
    }
}

#Preview {
    ButtonWKWEB(title: "Djnqb", vk: false)
}
