//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import SwiftUI

public struct CardCartView: View {
    
    let title: String //Название карточки
    let price: Int // цена
    
    
    let action: () -> ()
    
    public init(title: String, price: Int = 0, action: @escaping () -> Void) {
        self.title = title
        self.price = price
        self.action = action
    }
    
    public var body: some View {
        ZStack(alignment: .leading) {
            Color.white.ignoresSafeArea()
            VStack(alignment: .leading) {
                HStack {
                    Text(title)
                        .multilineTextAlignment(.leading)
                        .robotoFlex(size: 16, font: .medium)
                        .tracking(0.32)
                        .lineSpacing(8)
                        .padding(.horizontal, 16)
                        .padding(.top, 16)
                    Spacer()
                    Image("Delete", bundle: .module)
                        .padding(16)
                }
                Spacer()
                HStack {
                    VStack(alignment: .leading, spacing:0){
                        if price > 0 {
                            Text("\(price) ₽")
                                .robotoFlex(size: 17, font: .semibold)
                        }
                    }.padding(.horizontal, 16)
                    Spacer(minLength: 120)
                            HStack {
                                Text("1 штук")
                                    .robotoFlex(size: 15)
                                Spacer()
                                ZStack {
                                    Image("bg", bundle: .module)
                                    HStack {
                                        Button {
                                            //
                                        } label: {
                                            Image("minus", bundle: .module)
                                                .padding(.leading, 6)
                                        }
                                        Image("Divider", bundle: .module)
                                        Button {
                                            //
                                        } label: {
                                            Image("plus", bundle: .module)
                                                .padding(.trailing, 6)
                                        }
                                    }
                                    
                                }
                            
                        
                    }.padding(16)
                }
                
            }
        }
        .frame(maxWidth: .infinity)
        .frame(height: 138)
            .cornerRadius(12)
            .shadow(color: Color("hex#E4E8F599", bundle: .module), radius: 20)
            .overlay {
                RoundedRectangle(cornerRadius: 12)
                    .stroke(lineWidth: 1)
                    .foregroundStyle(Color("hex#F4F4F4", bundle: .module))
            }
    }
}

#Preview {
    CardCartView(title: "Рубашка Воскресенье для машинного вязания", price: 10) {
    }
}
