//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import Foundation
import SwiftUI

public extension View {
    //MARK: Methods
    //функция для шрифтов
    func robotoFlex(size: CGFloat, font: Font.Weight = .regular) -> some View {
        switch font {
        case .bold: //bold
            self
                .font(.custom("Roboto-Bold", size: size))
        case .black: //ExtraBold
            self
                .font(.custom("Roboto-ExtraBold", size: size))
        case .medium:
            self
                .font(.custom("Roboto-Medium", size: size))
        case .semibold:
            self
                .font(.custom("Roboto-SemiBold", size: size))
        default:
            self
                .font(.custom("Roboto-Regular", size: size))
        }
    }
    
    //функция для выбора item для tabbar
    func tabItem(tab: String, selection: Binding<String>) -> some View {
        self
            .modifier(TabbarItemModifier(tab: tab, selection: selection))
    }
    
}

