//
//  File.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import Foundation
import SwiftUI

//Класс для установки шрифта в систему
public final class FontWeightSetUp {
    //Перебирает нужны шрифты
    static func allFonts() {
        ["Roboto-Bold", "Roboto-ExtraBold", "Roboto-Medium", "Roboto-SemiBold", "Roboto-Regular"].forEach { font in
            setupFonts(font)
        }
    }
    
    //Устанавливает шрифт в систему
    public static func setupFonts(_ font: String) {
        guard let fontURL = Bundle.module.url(forResource: font, withExtension: ".ttf"),
              let fontDataProvider = CGDataProvider(url: fontURL as CFURL),
              let font = CGFont(fontDataProvider) else {
            print("Нет шрифта")
            return
        }
        
        var error: Unmanaged<CFError>?
        CTFontManagerRegisterGraphicsFont(font, &error)
        
        if let error = error {
            print("Ошибка регистрации шрифта: \(error)")
        }
        
    }
    
}
