//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import SwiftUI

public struct HeaderView: View {
    
    let title: String
    let center: Bool
    let actionTrash: () -> ()
    @Environment(\.dismiss) var dismiss
    
    public init(title: String, center: Bool, actionTrash: @escaping () -> Void) {
        self.title = title
        self.center = center
        self.actionTrash = actionTrash
    }
    public var body: some View {
        VStack(alignment: .leading) {
            HStack {
                Button {
                    dismiss()
                } label: {
                    Image("Back", bundle: .module)
                }
                Spacer()
                if center {
                    Text("Корзина")
                        .robotoFlex(size: 20, font: .semibold)
                        .padding(.top, 24)
                        .tracking(0.38)
                        .offset(y: -7)
                    Spacer()
                }
                Button {
                    actionTrash()
                } label: {
                    Image("Trash", bundle: .module)
                }
            }
            if !center {
                Text("Корзина")
                    .robotoFlex(size: 24, font: .black)
                    .padding(.top, 24)
                    .tracking(0.33)
            }
        }
    }
}

#Preview {
    HeaderView(title: "Корзина", center: true) {
        
    }
}
