//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import SwiftUI

public struct SheetView: View {
    
    let title: String // name modal window
    let description: String // description
    @Binding var sheet: Bool
    
    public init(title: String, description: String = "", sheet: Binding<Bool>) {
        self.title = title
        self.description = description
        self._sheet = sheet
    }
    
    public var body: some View {
        VStack(alignment: .leading, spacing: 0) {
            HStack {
                Text(title)
                    .robotoFlex(size: 20, font: .black)
                    .tracking(0.38)
                    .lineSpacing(10)
                Spacer()
                Button {
                    sheet = false
                } label: {
                    Image("Close", bundle: .module)
                }
            }.padding(.horizontal, 20)
            if description.count > 400 {
                ScrollView {
                    Text(description)
                }
            } else {
                Text(description)
            }
            
            Spacer()
        }.padding(.top, 24)
    }
}

#Preview {
    SheetView(title: "Рубашка Воскресенье для машинного вязания", description: "" , sheet: .constant(true))
}
