// The Swift Programming Language
// https://docs.swift.org/swift-book

import SwiftUI

struct CustomTabbarView: View {
    
    let tabs: [String] //иконки
    @Binding var selection: String //текущий экран
    
    init(tabs: [String], selection: Binding<String>) {
        self.tabs = tabs
        self._selection = selection
    }
    
    var body: some View {
        VStack {
            HStack {
                ForEach(tabs, id: \.self) { tab in
                    Button {
                        selection = tab
                        print(selection)
                    } label: {
                        VStack {
                            Image(tab == selection ? tab+"Active" : tab , bundle: .module)
                            Text(tab)
                                .robotoFlex(size: 12)
                                .foregroundStyle(Color(selection == tab ? "hex#1A6FEE" : "hex#B8C1CC", bundle: .module))
                                .tracking(0)
                                .lineSpacing(16)
                        }.frame(maxWidth: .infinity)
                    }
                }
            }
        }.background(Color.white)
            .edgesIgnoringSafeArea(.bottom)
            .edgesIgnoringSafeArea(.horizontal)
    }
    
}

#Preview {
    CustomTabbarView(tabs: ["Главная"], selection: .constant("Главная"))
    CustomTabbarView(tabs: ["Каталог"], selection: .constant("Каталог"))
}
