//
//  SwiftUIView.swift
//  UIKitComponents
//
//  Created by User on 26.05.2025.
//

import SwiftUI

//кастомный Таббар
public struct TabbarContainer<Content: View>: View {
    
    @State var tabs: [String] = []
    @Binding var selection: String
    let content: Content
    
    public init(selection: Binding<String>, @ViewBuilder content: () -> Content) {
        self._selection = selection
        self.content = content()
    }
    
    public var body: some View {
        VStack(spacing: 0){
            ZStack {
                content
                    .ignoresSafeArea()
            }
            Divider()
            CustomTabbarView(tabs: tabs, selection: $selection)
                .padding(.top, 8)
        }.onPreferenceChange(TabbarPreferenseKey.self) { value in
            self.tabs = value
        }
    }
}

#Preview {
    TabbarContainer(selection: .constant("Главная")) {
        Color.white
            .tabItem(tab: "Главная", selection: .constant("Главная"))
        Color.blue
            .tabItem(tab: "Каталог", selection: .constant("Катавулог"))
        Color.green
            .tabItem(tab: "Проекты", selection: .constant("Каталог"))
        Color.blue
            .tabItem(tab: "Профиль", selection: .constant("Каталог"))
    }
}
